/*
 random number generator
*/

static unsigned long next = 1;

int rand() {

	next = next * 1103515245 + 12345;
	return (unsigned int)(next/65536) % 32768;
}

void srand(seed)
unsigned int seed;
{
	next = seed;
}
